Bug 16738 - Improve EDIFACT messages template
Summary: Improve EDIFACT messages template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/acqui/edifactmsgs.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-14 18:16 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch makes several improvements to the EDIFACT messages template to make it more consistent with similar interfaces in Koha. Changes to edimsg.tt are made to simplify the display of the data in a modal.
Version(s) released in:


Attachments
Bug 16738 - Improve EDIFACT messages template (7.59 KB, patch)
2016-06-14 18:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16738 - Improve EDIFACT messages template (7.62 KB, patch)
2016-07-07 19:22 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 16738 - Improve EDIFACT messages template (7.68 KB, patch)
2016-08-14 18:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-06-14 18:16:34 UTC
I am working on several improvements to the EDIFACT messages page:

- Show a standard dialog if there are no messages
- Make actions links Bootstrap buttons with Font Awesome icons
- Show EDIFACT message contents inside modal instead of in separate window
- Correct DataTables configuration
- Format dates according to system preference
Comment 1 Owen Leonard 2016-06-14 18:43:48 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2016-07-07 19:22:47 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-14 18:43:15 UTC
Created attachment 54446 [details] [review]
[PASSED QA] Bug 16738 - Improve EDIFACT messages template

This patch makes several improvements to the EDIFACT messages template
to make it more consistent with similar interfaces in Koha. Changes to
edimsg.tt are made to simplify the display of the data in a modal.

This patch also corrects a couple of markup errors.

To test you must have multiple rows of data in the edifact_messages
table. I tested with dummy data I inserted manually. Should should have
some rows which use 'QUOTE' and 'ORDERS' as the message_type.

To test deletions you may need to apply the patch for Bug 16737.

- Apply the patch and go to Acquisitions -> EDIFACT messages.
- In the table of messages, the date should be displayed according to
  your system preference.
- Sorting by date should work correctly regardless of date format
  setting.
- The 'Actions' column should contain 'View message' and 'Delete'
  Bootstrap-style buttons with Font Awesome icons. The column should be
  unsorted.
- Clicking the 'Delete' button should prompt you to confirm.
- Clicking the 'View message' button should trigger a modal which loads
  the message data.
- Test the page with no messages or when all messages have been
  deleted. The page should display a standard message dialog instead of
  an empty table.

Signed-off-by: Nicole C Engard <nengard@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-09-09 13:54:05 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-09-13 07:03:12 UTC
Pushed in 16.05. Will be in 16.05.04.